/*
 * Startup Code for ARM
 *
 * Configuration for the startup code.
 * (more details below)
 *
 * by: Clemens Helfmeier
 * ClemensHelfmeier {at] gmx `dot" de
 * (replace the corresponding at and dot in the email, please).
 */

#ifndef _STARTUP_CONFIG_H_
#define _STARTUP_CONFIG_H_
/* include the ARM-Modes here, they are needed for MAIN_MODE */
#include "arm.inc"

/* If you want the main() routine and all the other C-Stuff (Interrupts,...) to run
 * in *User* Mode, set this define to "ARM_MODE_User". If you want it to run in *System*
 * Mode, set it to "ARM_MODE_System".
 * For very small Devices (like AT91SAM7S), it doesn't make sense to not run the program
 * in System Mode.
 * Using ARM_MODE_System here saves the SWI-Handler (about 144Byte).
 */
#define MAIN_MODE	ARM_MODE_System

/* if you want to support the SWI-Instruction (like OS-Calls from dynamically linked Code),
 * set this define to 1.
 */
#define FORCE_INCLUDE_SWI	0


#if ((defined(FORCE_INCLUDE_SWI) && (FORCE_INCLUDE_SWI == 1)) || (MAIN_MODE == ARM_MODE_User))
	#define ENABLE_SWI	1
#else
	#define ENABLE_SWI	0
#endif


#endif
